package collections;

import java.util.*;

/**
 * Show off the HashMap
 */
public class MapDemo {

	public static void main(String[] argv) {

		Map map = new HashMap();

		// The hash maps from company name to address.
		// In real life this might map to an Address object...
		map.put("Adobe", "Mountain View, CA");
		map.put("IBM", "White Plains, NY");
		map.put("Learning Tree", "Los Angeles, CA");
		map.put("Microsoft", "Redmond, WA");
		map.put("Netscape", "Mountain View, CA");
		map.put("O'Reilly", "Sebastopol, CA");
		map.put("Sun", "Mountain View, CA");

		// Print one
		System.out.println("Sun is in " + map.get("Sun"));

		// Print all
		Iterator k = map.keySet().iterator();
		while (k.hasNext()) {
			String key = (String) k.next();
			System.out.println("Company " + key + "; Location " +
				(String) map.get(key));
		}
	}
}
