# Make sure all the Java files in a collection have a CVS ID String.
# Don't apply to all files because it may damage binary files.
# $Id: fixid.groovy,v 1.2 2004/09/29 13:29:32 ian Exp $

new java.io.File(".").eachFileRecurse({file | if (file.name.endsWith(".java")) {
		old = file.getText()
		if (!old.contains("$Id")) {   
			println "Fixing file ${file.name}"
			out = file.newPrintWriter()
			out.println("// Next line added by fixid script; should move into doc comment")
			out.println("// $I"+"d$")   // + to hide from CVS
			out.print(old)
			out.close()
		}
	}
})
