import groovy.swing.SwingBuilder;

theMap = ["color":"green", "object":"pencil", "location":"home"];

// create a JFrame with a label and text field for each key in the Map
swing = new SwingBuilder();
frame = swing.frame(title:'A Groovy Swing', location:[240,240],
	defaultCloseOperation:javax.swing.WindowConstants.EXIT_ON_CLOSE) {
	panel() {
		for (entry in theMap) {
			label(text:entry.key)
			textField(text:entry.value)
		}
		button(text:'About', actionPerformed:{ 
			pane = swing.optionPane(message:'SwingBuilder Demo v0.0')
			dialog = pane.createDialog(null, 'About')
			dialog.show()
		})
		button(text:'Quit', actionPerformed:{ System.exit(0) });
	}
}
frame.pack();
frame.show();
