import net.sourceforge.pbeans.*
import net.sourceforge.pbeans.data.*

// Patterned after code example in Michael Ivey's Blog

class Person implements Persistent {
    String name;
    String city;
	String country;
}

ds = new GenericDataSource()
ds.setDriverClassName("org.postgresql.Driver")
ds.setUrl("jdbc:postgresql://localhost/website/test?user=test&password=test")
store = new Store(dataSource)

newuser = new User(name:"Bob Smith", city:"Toronto", country:"ca")
store.insert(newuser)
foundUser = store.selectSingle(Person.class, "name", "Bob Smith")
assert foundUser.city == "Toronto"

