package text;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

/** simple implementation of unix "wc" in Java.
 * $Id: WC.java,v 1.3 2004/11/05 03:35:40 ian Exp $
 */
public class WC {
	public static void main(String[] args) throws IOException {
		int chars=0, lines=0, words=0;
		String filename=args[0];
		BufferedReader r = new BufferedReader(new FileReader(filename));
		String it;
		while ((it = r.readLine()) != null) {
			chars+=it.length() + 1;
			words+=new StringTokenizer(it).countTokens();
			lines++;
		}
		System.out.println("\t" + lines + "\t" + words + 
			"\t" + chars + "\t" + filename);
	}
}
