# Ruby-style ranges, +- operators, etc.

#validCardYears = 2004..2009
thisYear = Calendar.getInstance().get(Calendar.YEAR);
length   = 5
validCardYears = thisYear..(thisYear+length)

# Print valid years (e.g., print html <select> for credit card expiry)
validCardYears.each {println "Valid year: ${it}"}

# In subscript, -1 means last, -2 2nd last, etc.
lastValidCardYear = validCardYears[-1]
println "Last valid year is currently ${lastValidCardYear}"

# Three dots means end-exclusive range
println 5...8

# An interesting question...
println 5...5
