package running;

import groovy.lang.*;

/** Call Groovy expressions from Java code */
public class JavaGroovy {
	public static void main(String[] args) throws Exception {
		Binding binding = new Binding();
		binding.setVariable("expr", new Integer(42));
		GroovyShell shell = new GroovyShell(binding);

		Object value = shell.evaluate("x = 123; return x + expr");
		System.out.println("Both should print true");
		System.out.println(value.equals(new Integer(165)));
		System.out.println(binding.getVariable("x").equals(new Integer(123)));
	}
}
