package running;

import java.io.File;
import groovy.lang.GroovyObject;
import groovy.lang.GroovyClassLoader;

/** Call Groovy expressions from Java code */
public class JavaGroovyScript {
	public static void main(String[] args) throws Exception {
		new JavaGroovyScript().run();
	}

	/** This code must be in an instance method to call getClass() */
	void run() throws Exception {
		ClassLoader parent = getClass().getClassLoader();
		GroovyClassLoader loader = new GroovyClassLoader(parent);
		Class groovyClass = loader.parseClass(new File("hello.groovy"));

		// Now call the default method (run) on an instance
		GroovyObject groovyObject = (GroovyObject) groovyClass.newInstance();
		Object[] calledArgs = {};
		groovyObject.invokeMethod("run", calledArgs);
	}
}
